source: trunk/third/intltool/Makefile.in @ 21469

Revision 21469, 21.8 KB checked in by ghudson, 20 years ago (diff)
This commit was generated by cvs2svn to compensate for changes in r21468, which included commits to RCS files with non-trunk default branches.
RevLine 
[20758]1# Makefile.in generated by automake 1.8.5 from Makefile.am.
2# @configure_input@
[18238]3
[20758]4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004  Free Software Foundation, Inc.
[18238]6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
[20758]15@SET_MAKE@
[18238]16
17
18srcdir = @srcdir@
19top_srcdir = @top_srcdir@
20VPATH = @srcdir@
21pkglibdir = $(libdir)/@PACKAGE@
22pkgincludedir = $(includedir)/@PACKAGE@
23top_builddir = .
[20758]24am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
[18238]25INSTALL = @INSTALL@
[20758]26install_sh_DATA = $(install_sh) -c -m 644
27install_sh_PROGRAM = $(install_sh) -c
28install_sh_SCRIPT = $(install_sh) -c
29INSTALL_HEADER = $(INSTALL_DATA)
30transform = $(program_transform_name)
[18238]31NORMAL_INSTALL = :
32PRE_INSTALL = :
33POST_INSTALL = :
34NORMAL_UNINSTALL = :
35PRE_UNINSTALL = :
36POST_UNINSTALL = :
[20758]37subdir = .
38DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
39        $(srcdir)/Makefile.in $(srcdir)/intltool-extract.in.in \
40        $(srcdir)/intltool-merge.in.in $(srcdir)/intltool-prepare.in \
41        $(srcdir)/intltool-unicodify.in \
42        $(srcdir)/intltool-update.in.in $(srcdir)/intltool.spec.in \
[21468]43        $(srcdir)/intltoolize.in $(top_srcdir)/configure AUTHORS \
44        COPYING ChangeLog INSTALL NEWS TODO install-sh missing
[20758]45ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
46am__aclocal_m4_deps = $(top_srcdir)/configure.in
47am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
48        $(ACLOCAL_M4)
49am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
50 configure.lineno configure.status.lineno
51mkinstalldirs = $(mkdir_p)
52CONFIG_CLEAN_FILES = intltool-extract.in intltool-merge.in \
53        intltool-prepare intltool-unicodify intltool-update.in \
[21468]54        intltool.spec intltoolize
[20758]55am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(aclocaldir)" "$(DESTDIR)$(pkgdatadir)"
56binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
57SCRIPTS = $(bin_SCRIPTS)
58SOURCES =
59DIST_SOURCES =
60RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
61        html-recursive info-recursive install-data-recursive \
62        install-exec-recursive install-info-recursive \
63        install-recursive installcheck-recursive installdirs-recursive \
64        pdf-recursive ps-recursive uninstall-info-recursive \
65        uninstall-recursive
66aclocalDATA_INSTALL = $(INSTALL_DATA)
67pkgdataDATA_INSTALL = $(INSTALL_DATA)
68DATA = $(aclocal_DATA) $(pkgdata_DATA)
69ETAGS = etags
70CTAGS = ctags
71DIST_SUBDIRS = $(SUBDIRS)
72DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
73distdir = $(PACKAGE)-$(VERSION)
74top_distdir = $(distdir)
75am__remove_distdir = \
76  { test ! -d $(distdir) \
77    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
78         && rm -fr $(distdir); }; }
79DIST_ARCHIVES = $(distdir).tar.gz
80GZIP_ENV = --best
81distuninstallcheck_listfiles = find . -type f -print
82distcleancheck_listfiles = find . -type f -print
83pkgdatadir = @pkgdatadir@
84ACLOCAL = @ACLOCAL@
85AMTAR = @AMTAR@
86AUTOCONF = @AUTOCONF@
87AUTOHEADER = @AUTOHEADER@
88AUTOMAKE = @AUTOMAKE@
89AWK = @AWK@
90CYGPATH_W = @CYGPATH_W@
91DEFS = @DEFS@
92ECHO_C = @ECHO_C@
93ECHO_N = @ECHO_N@
94ECHO_T = @ECHO_T@
95EXPANDED_DATADIR = @EXPANDED_DATADIR@
[18238]96EXPANDED_LIBDIR = @EXPANDED_LIBDIR@
[20758]97INSTALL_DATA = @INSTALL_DATA@
98INSTALL_PROGRAM = @INSTALL_PROGRAM@
99INSTALL_SCRIPT = @INSTALL_SCRIPT@
100INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
[21468]101INTLTOOL_ICONV = @INTLTOOL_ICONV@
102INTLTOOL_MSGFMT = @INTLTOOL_MSGFMT@
103INTLTOOL_MSGMERGE = @INTLTOOL_MSGMERGE@
104INTLTOOL_XGETTEXT = @INTLTOOL_XGETTEXT@
[20758]105LIBOBJS = @LIBOBJS@
106LIBS = @LIBS@
107LTLIBOBJS = @LTLIBOBJS@
[18238]108MAKEINFO = @MAKEINFO@
109PACKAGE = @PACKAGE@
[20758]110PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
111PACKAGE_NAME = @PACKAGE_NAME@
112PACKAGE_STRING = @PACKAGE_STRING@
113PACKAGE_TARNAME = @PACKAGE_TARNAME@
114PACKAGE_VERSION = @PACKAGE_VERSION@
115PATH_SEPARATOR = @PATH_SEPARATOR@
[18238]116PERL = @PERL@
[20758]117SET_MAKE = @SET_MAKE@
118SHELL = @SHELL@
119STRIP = @STRIP@
[18238]120VERSION = @VERSION@
[20758]121ac_ct_STRIP = @ac_ct_STRIP@
[18238]122aclocaldir = @aclocaldir@
[20758]123am__leading_dot = @am__leading_dot@
124bindir = @bindir@
125build_alias = @build_alias@
126datadir = @datadir@
127exec_prefix = @exec_prefix@
128host_alias = @host_alias@
129includedir = @includedir@
130infodir = @infodir@
131install_sh = @install_sh@
132libdir = @libdir@
133libexecdir = @libexecdir@
134localstatedir = @localstatedir@
135mandir = @mandir@
136mkdir_p = @mkdir_p@
137oldincludedir = @oldincludedir@
138prefix = @prefix@
139program_transform_name = @program_transform_name@
140sbindir = @sbindir@
141sharedstatedir = @sharedstatedir@
142sysconfdir = @sysconfdir@
143target_alias = @target_alias@
[21468]144SUBDIRS = tests doc
[18238]145NULL =
[21468]146aclocal_macros = intltool.m4
[18238]147CLEANFILES = \
148        intltoolize                             \
149        intltool-extract.in                     \
150        intltool-merge.in                       \
151        intltool-update.in                      \
152        intltool-extract                        \
153        intltool-merge                          \
154        intltool-prepare                        \
155        intltool-update                         \
156        $(NULL)
157
158
[21468]159# These are required by intltoolize and
[18238]160pkgdata_DATA = \
[21468]161        Makefile.in.in                          \
[18238]162        intltool-extract.in                     \
163        intltool-merge.in                       \
164        intltool-update.in                      \
165        $(NULL)
166
167
168# This macro file should be visible to Automake's aclocal.
169aclocal_DATA = $(aclocal_macros)
170
171# The intltool distributor and installed versions of scripts
172bin_SCRIPTS = \
173        intltoolize                             \
174        intltool-update                         \
175        intltool-merge                          \
176        intltool-extract                        \
177        intltool-prepare                        \
178        $(NULL)
179
180EXTRA_DIST = \
181        $(aclocal_macros)                       \
182        intltoolize.in                          \
183        intltool-extract.in.in                  \
184        intltool-merge.in.in                    \
185        intltool-update.in.in                   \
186        intltool-prepare.in                     \
187        intltool.spec.in                        \
[21468]188        intltool.spec                           \
[18238]189        $(pkgdata_DATA)                         \
190        $(NULL)
191
[20758]192all: all-recursive
[18238]193
194.SUFFIXES:
[20758]195am--refresh:
196        @:
197$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
198        @for dep in $?; do \
199          case '$(am__configure_deps)' in \
200            *$$dep*) \
201              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
202              cd $(srcdir) && $(AUTOMAKE) --gnu  \
203                && exit 0; \
204              exit 1;; \
205          esac; \
206        done; \
207        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
208        cd $(top_srcdir) && \
209          $(AUTOMAKE) --gnu  Makefile
210.PRECIOUS: Makefile
211Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
212        @case '$?' in \
213          *config.status*) \
214            echo ' $(SHELL) ./config.status'; \
215            $(SHELL) ./config.status;; \
216          *) \
217            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
218            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
219        esac;
[18238]220
[20758]221$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
222        $(SHELL) ./config.status --recheck
[18238]223
[20758]224$(top_srcdir)/configure:  $(am__configure_deps)
[18238]225        cd $(srcdir) && $(AUTOCONF)
[20758]226$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
227        cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
228intltool-extract.in: $(top_builddir)/config.status $(srcdir)/intltool-extract.in.in
229        cd $(top_builddir) && $(SHELL) ./config.status $@
230intltool-merge.in: $(top_builddir)/config.status $(srcdir)/intltool-merge.in.in
231        cd $(top_builddir) && $(SHELL) ./config.status $@
232intltool-prepare: $(top_builddir)/config.status $(srcdir)/intltool-prepare.in
233        cd $(top_builddir) && $(SHELL) ./config.status $@
234intltool-unicodify: $(top_builddir)/config.status $(srcdir)/intltool-unicodify.in
235        cd $(top_builddir) && $(SHELL) ./config.status $@
236intltool-update.in: $(top_builddir)/config.status $(srcdir)/intltool-update.in.in
237        cd $(top_builddir) && $(SHELL) ./config.status $@
238intltool.spec: $(top_builddir)/config.status $(srcdir)/intltool.spec.in
239        cd $(top_builddir) && $(SHELL) ./config.status $@
240intltoolize: $(top_builddir)/config.status $(srcdir)/intltoolize.in
241        cd $(top_builddir) && $(SHELL) ./config.status $@
[18238]242install-binSCRIPTS: $(bin_SCRIPTS)
243        @$(NORMAL_INSTALL)
[20758]244        test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
[18238]245        @list='$(bin_SCRIPTS)'; for p in $$list; do \
[20758]246          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
247          if test -f $$d$$p; then \
248            f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
249            echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \
250            $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \
251          else :; fi; \
[18238]252        done
253
254uninstall-binSCRIPTS:
255        @$(NORMAL_UNINSTALL)
[20758]256        @list='$(bin_SCRIPTS)'; for p in $$list; do \
257          f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
258          echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
259          rm -f "$(DESTDIR)$(bindir)/$$f"; \
[18238]260        done
[20758]261uninstall-info-am:
[18238]262install-aclocalDATA: $(aclocal_DATA)
263        @$(NORMAL_INSTALL)
[20758]264        test -z "$(aclocaldir)" || $(mkdir_p) "$(DESTDIR)$(aclocaldir)"
[18238]265        @list='$(aclocal_DATA)'; for p in $$list; do \
[20758]266          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
267          f="`echo $$p | sed -e 's|^.*/||'`"; \
268          echo " $(aclocalDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(aclocaldir)/$$f'"; \
269          $(aclocalDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(aclocaldir)/$$f"; \
[18238]270        done
271
272uninstall-aclocalDATA:
273        @$(NORMAL_UNINSTALL)
[20758]274        @list='$(aclocal_DATA)'; for p in $$list; do \
275          f="`echo $$p | sed -e 's|^.*/||'`"; \
276          echo " rm -f '$(DESTDIR)$(aclocaldir)/$$f'"; \
277          rm -f "$(DESTDIR)$(aclocaldir)/$$f"; \
[18238]278        done
279install-pkgdataDATA: $(pkgdata_DATA)
280        @$(NORMAL_INSTALL)
[20758]281        test -z "$(pkgdatadir)" || $(mkdir_p) "$(DESTDIR)$(pkgdatadir)"
[18238]282        @list='$(pkgdata_DATA)'; for p in $$list; do \
[20758]283          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
284          f="`echo $$p | sed -e 's|^.*/||'`"; \
285          echo " $(pkgdataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgdatadir)/$$f'"; \
286          $(pkgdataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgdatadir)/$$f"; \
[18238]287        done
288
289uninstall-pkgdataDATA:
290        @$(NORMAL_UNINSTALL)
[20758]291        @list='$(pkgdata_DATA)'; for p in $$list; do \
292          f="`echo $$p | sed -e 's|^.*/||'`"; \
293          echo " rm -f '$(DESTDIR)$(pkgdatadir)/$$f'"; \
294          rm -f "$(DESTDIR)$(pkgdatadir)/$$f"; \
[18238]295        done
296
297# This directory's subdirectories are mostly independent; you can cd
298# into them and run `make' without going through this Makefile.
299# To change the values of `make' variables: instead of editing Makefiles,
300# (1) if the variable is set in `config.status', edit `config.status'
301#     (which will cause the Makefiles to be regenerated when you run `make');
302# (2) otherwise, pass the desired values on the `make' command line.
[20758]303$(RECURSIVE_TARGETS):
304        @set fnord $$MAKEFLAGS; amf=$$2; \
[18238]305        dot_seen=no; \
306        target=`echo $@ | sed s/-recursive//`; \
307        list='$(SUBDIRS)'; for subdir in $$list; do \
308          echo "Making $$target in $$subdir"; \
309          if test "$$subdir" = "."; then \
310            dot_seen=yes; \
311            local_target="$$target-am"; \
312          else \
313            local_target="$$target"; \
314          fi; \
315          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
316           || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
317        done; \
318        if test "$$dot_seen" = "no"; then \
319          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
320        fi; test -z "$$fail"
321
322mostlyclean-recursive clean-recursive distclean-recursive \
323maintainer-clean-recursive:
[20758]324        @set fnord $$MAKEFLAGS; amf=$$2; \
[18238]325        dot_seen=no; \
[20758]326        case "$@" in \
327          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
328          *) list='$(SUBDIRS)' ;; \
329        esac; \
330        rev=''; for subdir in $$list; do \
331          if test "$$subdir" = "."; then :; else \
332            rev="$$subdir $$rev"; \
333          fi; \
[18238]334        done; \
[20758]335        rev="$$rev ."; \
[18238]336        target=`echo $@ | sed s/-recursive//`; \
337        for subdir in $$rev; do \
338          echo "Making $$target in $$subdir"; \
339          if test "$$subdir" = "."; then \
340            local_target="$$target-am"; \
341          else \
342            local_target="$$target"; \
343          fi; \
344          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
345           || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
346        done && test -z "$$fail"
347tags-recursive:
348        list='$(SUBDIRS)'; for subdir in $$list; do \
349          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
350        done
[20758]351ctags-recursive:
352        list='$(SUBDIRS)'; for subdir in $$list; do \
353          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
354        done
[18238]355
[20758]356ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
357        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
358        unique=`for i in $$list; do \
359            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
360          done | \
361          $(AWK) '    { files[$$0] = 1; } \
362               END { for (i in files) print i; }'`; \
363        mkid -fID $$unique
[18238]364tags: TAGS
365
[20758]366TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
367                $(TAGS_FILES) $(LISP)
[18238]368        tags=; \
369        here=`pwd`; \
[20758]370        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
371          include_option=--etags-include; \
372          empty_fix=.; \
373        else \
374          include_option=--include; \
375          empty_fix=; \
376        fi; \
[18238]377        list='$(SUBDIRS)'; for subdir in $$list; do \
[20758]378          if test "$$subdir" = .; then :; else \
379            test ! -f $$subdir/TAGS || \
380              tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
381          fi; \
[18238]382        done; \
[20758]383        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
384        unique=`for i in $$list; do \
385            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
386          done | \
387          $(AWK) '    { files[$$0] = 1; } \
[18238]388               END { for (i in files) print i; }'`; \
[20758]389        if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
390          test -n "$$unique" || unique=$$empty_fix; \
391          $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
392            $$tags $$unique; \
393        fi
394ctags: CTAGS
395CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
396                $(TAGS_FILES) $(LISP)
397        tags=; \
398        here=`pwd`; \
399        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
400        unique=`for i in $$list; do \
401            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
402          done | \
403          $(AWK) '    { files[$$0] = 1; } \
404               END { for (i in files) print i; }'`; \
405        test -z "$(CTAGS_ARGS)$$tags$$unique" \
406          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
407             $$tags $$unique
[18238]408
[20758]409GTAGS:
410        here=`$(am__cd) $(top_builddir) && pwd` \
411          && cd $(top_srcdir) \
412          && gtags -i $(GTAGS_ARGS) $$here
[18238]413
414distclean-tags:
[20758]415        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
[18238]416
417distdir: $(DISTFILES)
[20758]418        $(am__remove_distdir)
[18238]419        mkdir $(distdir)
[20758]420        $(mkdir_p) $(distdir)/. $(distdir)/tests
421        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
422        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
423        list='$(DISTFILES)'; for file in $$list; do \
424          case $$file in \
425            $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
426            $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
427          esac; \
428          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
429          dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
430          if test "$$dir" != "$$file" && test "$$dir" != "."; then \
431            dir="/$$dir"; \
432            $(mkdir_p) "$(distdir)$$dir"; \
433          else \
434            dir=''; \
435          fi; \
[18238]436          if test -d $$d/$$file; then \
[20758]437            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
438              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
439            fi; \
440            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
[18238]441          else \
442            test -f $(distdir)/$$file \
[20758]443            || cp -p $$d/$$file $(distdir)/$$file \
444            || exit 1; \
[18238]445          fi; \
446        done
[20758]447        list='$(SUBDIRS)'; for subdir in $$list; do \
[18238]448          if test "$$subdir" = .; then :; else \
[20758]449            test -d "$(distdir)/$$subdir" \
450            || mkdir "$(distdir)/$$subdir" \
[18238]451            || exit 1; \
[20758]452            (cd $$subdir && \
453              $(MAKE) $(AM_MAKEFLAGS) \
454                top_distdir="../$(top_distdir)" \
455                distdir="../$(distdir)/$$subdir" \
456                distdir) \
[18238]457              || exit 1; \
458          fi; \
459        done
[20758]460        -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
461          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
462          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
463          ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
464        || chmod -R a+r $(distdir)
465dist-gzip: distdir
466        $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
467        $(am__remove_distdir)
468
469dist-bzip2: distdir
470        $(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
471        $(am__remove_distdir)
472
473dist-tarZ: distdir
474        $(AMTAR) chof - $(distdir) | compress -c >$(distdir).tar.Z
475        $(am__remove_distdir)
476
477dist-shar: distdir
478        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
479        $(am__remove_distdir)
480
481dist-zip: distdir
482        -rm -f $(distdir).zip
483        zip -rq $(distdir).zip $(distdir)
484        $(am__remove_distdir)
485
486dist dist-all: distdir
487        $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
488        $(am__remove_distdir)
489
490# This target untars the dist file and tries a VPATH configuration.  Then
491# it guarantees that the distribution is self-contained by making another
492# tarfile.
493distcheck: dist
494        case '$(DIST_ARCHIVES)' in \
495        *.tar.gz*) \
496          GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf - ;;\
497        *.tar.bz2*) \
498          bunzip2 -c $(distdir).tar.bz2 | $(AMTAR) xf - ;;\
499        *.tar.Z*) \
500          uncompress -c $(distdir).tar.Z | $(AMTAR) xf - ;;\
501        *.shar.gz*) \
502          GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
503        *.zip*) \
504          unzip $(distdir).zip ;;\
505        esac
506        chmod -R a-w $(distdir); chmod a+w $(distdir)
507        mkdir $(distdir)/_build
508        mkdir $(distdir)/_inst
509        chmod a-w $(distdir)
510        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
511          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
512          && cd $(distdir)/_build \
513          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
514            $(DISTCHECK_CONFIGURE_FLAGS) \
515          && $(MAKE) $(AM_MAKEFLAGS) \
516          && $(MAKE) $(AM_MAKEFLAGS) dvi \
517          && $(MAKE) $(AM_MAKEFLAGS) check \
518          && $(MAKE) $(AM_MAKEFLAGS) install \
519          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
520          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
521          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
522                distuninstallcheck \
523          && chmod -R a-w "$$dc_install_base" \
524          && ({ \
525               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
526               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
527               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
528               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
529                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
530              } || { rm -rf "$$dc_destdir"; exit 1; }) \
531          && rm -rf "$$dc_destdir" \
532          && $(MAKE) $(AM_MAKEFLAGS) dist \
533          && rm -rf $(DIST_ARCHIVES) \
534          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
535        $(am__remove_distdir)
536        @(echo "$(distdir) archives ready for distribution: "; \
537          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
538          sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
539distuninstallcheck:
540        @cd $(distuninstallcheck_dir) \
541        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
542           || { echo "ERROR: files left after uninstall:" ; \
543                if test -n "$(DESTDIR)"; then \
544                  echo "  (check DESTDIR support)"; \
545                fi ; \
546                $(distuninstallcheck_listfiles) ; \
547                exit 1; } >&2
548distcleancheck: distclean
549        @if test '$(srcdir)' = . ; then \
550          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
551          exit 1 ; \
552        fi
553        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
554          || { echo "ERROR: files left in build directory after distclean:" ; \
555               $(distcleancheck_listfiles) ; \
556               exit 1; } >&2
[18238]557check-am: all-am
558check: check-recursive
[20758]559all-am: Makefile $(SCRIPTS) $(DATA)
560installdirs: installdirs-recursive
561installdirs-am:
562        for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(aclocaldir)" "$(DESTDIR)$(pkgdatadir)"; do \
563          test -z "$$dir" || $(mkdir_p) "$$dir"; \
564        done
565install: install-recursive
[18238]566install-exec: install-exec-recursive
567install-data: install-data-recursive
[20758]568uninstall: uninstall-recursive
[18238]569
570install-am: all-am
571        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
[20758]572
573installcheck: installcheck-recursive
[18238]574install-strip:
[20758]575        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
576          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
577          `test -z '$(STRIP)' || \
578            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
[18238]579mostlyclean-generic:
580
581clean-generic:
582        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
583
584distclean-generic:
[20758]585        -rm -f $(CONFIG_CLEAN_FILES)
[18238]586
587maintainer-clean-generic:
[20758]588        @echo "This command is intended for maintainers to use"
589        @echo "it deletes files that may require special tools to rebuild."
590clean: clean-recursive
[18238]591
[20758]592clean-am: clean-generic mostlyclean-am
[18238]593
[20758]594distclean: distclean-recursive
595        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
596        -rm -f Makefile
597distclean-am: clean-am distclean-generic distclean-tags
[18238]598
[20758]599dvi: dvi-recursive
[18238]600
[20758]601dvi-am:
[18238]602
[20758]603html: html-recursive
[18238]604
[20758]605info: info-recursive
[18238]606
[20758]607info-am:
608
609install-data-am: install-aclocalDATA install-pkgdataDATA
610
611install-exec-am: install-binSCRIPTS
612
613install-info: install-info-recursive
614
615install-man:
616
617installcheck-am:
618
[18238]619maintainer-clean: maintainer-clean-recursive
[20758]620        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
621        -rm -rf $(top_srcdir)/autom4te.cache
622        -rm -f Makefile
623maintainer-clean-am: distclean-am maintainer-clean-generic
[18238]624
[20758]625mostlyclean: mostlyclean-recursive
[18238]626
[20758]627mostlyclean-am: mostlyclean-generic
[18238]628
[20758]629pdf: pdf-recursive
630
631pdf-am:
632
633ps: ps-recursive
634
635ps-am:
636
637uninstall-am: uninstall-aclocalDATA uninstall-binSCRIPTS \
638        uninstall-info-am uninstall-pkgdataDATA
639
640uninstall-info: uninstall-info-recursive
641
642.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
643        check-am clean clean-generic clean-recursive ctags \
644        ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
645        dist-tarZ dist-zip distcheck distclean distclean-generic \
646        distclean-recursive distclean-tags distcleancheck distdir \
647        distuninstallcheck dvi dvi-am html html-am info info-am \
648        install install-aclocalDATA install-am install-binSCRIPTS \
649        install-data install-data-am install-exec install-exec-am \
650        install-info install-info-am install-man install-pkgdataDATA \
651        install-strip installcheck installcheck-am installdirs \
652        installdirs-am maintainer-clean maintainer-clean-generic \
653        maintainer-clean-recursive mostlyclean mostlyclean-generic \
654        mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
655        uninstall uninstall-aclocalDATA uninstall-am \
656        uninstall-binSCRIPTS uninstall-info-am uninstall-pkgdataDATA
657
658
[18238]659%: %.in Makefile
[21468]660        sed -e "s#@INTLTOOL_PERL@#$(PERL)#g" \
661            -e "s#@INTLTOOL_ICONV@#$(INTLTOOL_ICONV)#g" \
662            -e "s#@INTLTOOL_MSGFMT@#$(INTLTOOL_MSGFMT)#g" \
663            -e "s#@INTLTOOL_MSGMERGE@#$(INTLTOOL_MSGMERGE)#g" \
664            -e "s#@INTLTOOL_XGETTEXT@#$(INTLTOOL_XGETTEXT)#g" \
665            -e "s#@INTLTOOL_EXTRACT@#$(bindir)/intltool-extract#g" \
666            < $< > $@
[18238]667# Tell versions [3.59,3.63) of GNU make to not export all variables.
668# Otherwise a system limit (for SysV at least) may be exceeded.
669.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.